<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>The Cxx Parser</title><link rel="stylesheet" href="synopsis.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.73.2" /><link rel="start" href="index.html" title="Synopsis Tutorial" /><link rel="up" href="processors.html" title="Chapter 4. Processor Design" /><link rel="prev" href="cc-parser.html" title="The C Parser" /><link rel="next" href="linker.html" title="The Linker" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">The Cxx Parser</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="cc-parser.html">Prev</a> </td><th width="60%" align="center">Chapter 4. Processor Design</th><td width="20%" align="right"> <a accesskey="n" href="linker.html">Next</a></td></tr></table></div><div class="section" lang="en" xml:lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="cxx-parser"></a>The Cxx Parser</h2></div></div></div><p>The Cxx parser parses C++. If the <span class="type">preprocess</span> parameter is set, it will
        call the preprocessor (see <a class="xref" href="cpp-parser.html" title="The Cpp Parser">the section called “The Cpp Parser”</a>). Its main purpose is to generate
        an ASG containing all declarations. However, it can store more detailed information about
        the source code to be used in conjunction with the HTML parser to generate a cross-referenced
        view of the code. The <span class="type">sxr_prefix</span> parameter is used to indicate the directory within
        which to store information about the source files being parsed.</p></div><div class="navfooter"><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="cc-parser.html">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="processors.html">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="linker.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">The C Parser </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> The Linker</td></tr></table></div></body></html>
